LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::text::FontEmphasis Constant Group Referencepublished

Determines the type and position of an emphasis mark in Asian texts. More...

## Variables
const short | NONE = 0
| no emphasis mark is used. More...
const short | DOT_ABOVE = 1
| a dot is set above (or right from vertical text) the text. More...
const short | CIRCLE_ABOVE = 2
| a circle is set above (or right from vertical text) the text. More...
const short | DISK_ABOVE = 3
| a disc is set above (or right from vertical text) the text. More...
const short | ACCENT_ABOVE = 4
| an accent is set above (or right from vertical text) the text. More...
const short | DOT_BELOW = 11
| a dot is set below (or left from vertical text) the text. More...
const short | CIRCLE_BELOW = 12
| a circle is set below (or left from vertical text) the text. More...
const short | DISK_BELOW = 13
| a disk is set below (or left from vertical text) the text. More...
const short | ACCENT_BELOW = 14
| an accent is set below (or left from vertical text) the text. More...

## Detailed Description

Determines the type and position of an emphasis mark in Asian texts.

## Variable Documentation

## ◆ ACCENT_ABOVE

const short ACCENT_ABOVE = 4

an accent is set above (or right from vertical text) the text.

## ◆ ACCENT_BELOW

const short ACCENT_BELOW = 14

an accent is set below (or left from vertical text) the text.

## ◆ CIRCLE_ABOVE

const short CIRCLE_ABOVE = 2

a circle is set above (or right from vertical text) the text.

## ◆ CIRCLE_BELOW

const short CIRCLE_BELOW = 12

a circle is set below (or left from vertical text) the text.

## ◆ DISK_ABOVE

const short DISK_ABOVE = 3

a disc is set above (or right from vertical text) the text.

## ◆ DISK_BELOW

const short DISK_BELOW = 13

a disk is set below (or left from vertical text) the text.

## ◆ DOT_ABOVE

const short DOT_ABOVE = 1

a dot is set above (or right from vertical text) the text.

## ◆ DOT_BELOW

const short DOT_BELOW = 11

a dot is set below (or left from vertical text) the text.

## ◆ NONE

const short NONE = 0

no emphasis mark is used.